DependOptions (Gradle API 2.11)
Date: 2016-02-08

Package: org.gradle.api.tasks.compile

## [Java] Class DependOptions

- org.gradle.api.tasks.compile.DependOptions

- Options for the Ant Depend task. Only take effect if `CompileOptions.useAnt` and `CompileOptions.useDepend` are `true`.

  The Ant Depend task will delete out-of-date and dependent class files before compiling so that only those files will be recompiled. This is not fool-proof but may result in faster compilation. See the Ant Reference for more information.

  The `srcDir`, `destDir`, and `cache` properties of the Ant task are set automatically. The latter is replaced by a `useCache` option to enable/disable caching of dependency information.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected boolean` | `excludeFromAntProperties(String fieldName)`
    `String` | `getClasspath()` Returns the compile classpath for which dependencies should also be checked.
    `boolean` | `isClosure()` Tells whether to delete the transitive closure of outdated files or only their direct dependencies.
    `boolean` | `isDump()` Tells whether to log dependency information.
    `boolean` | `isUseCache()` Tells whether to cache dependency information.
    `boolean` | `isWarnOnRmiStubs()` Tells whether to warn on RMI stubs without source.
    `void` | `setClasspath(String classpath)` Sets the compile classpath for which dependencies should also be checked.
    `void` | `setClosure(boolean closure)` Sets whether to delete the transitive closure of outdated files or only their direct dependencies.
    `void` | `setDump(boolean dump)` Sets whether to log dependency information.
    `void` | `setUseCache(boolean useCache)` Sets whether to cache dependency information.
    `void` | `setWarnOnRmiStubs(boolean warnOnRmiStubs)` Sets whether to warn on RMI stubs without source.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractOptions` | `define, excludeFromAntProperties, getAntPropertyName, getAntPropertyValue, optionMap`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override protected boolean excludeFromAntProperties(String fieldName)

    - #### public String getClasspath()

      Returns the compile classpath for which dependencies should also be checked. Defaults to the empty string.

    - #### public boolean isClosure()

      Tells whether to delete the transitive closure of outdated files or only their direct dependencies. Defaults to `false`.

    - #### public boolean isDump()

      Tells whether to log dependency information. Defaults to `false`.

    - #### public boolean isUseCache()

      Tells whether to cache dependency information. Defaults to `true`.

    - #### public boolean isWarnOnRmiStubs()

      Tells whether to warn on RMI stubs without source. Defaults to `true`.

    - #### public void setClasspath(String classpath)

      Sets the compile classpath for which dependencies should also be checked. Defaults to the empty string.

    - #### public void setClosure(boolean closure)

      Sets whether to delete the transitive closure of outdated files or only their direct dependencies. Defaults to `false`.

    - #### public void setDump(boolean dump)

      Sets whether to log dependency information. Defaults to `false`.

    - #### public void setUseCache(boolean useCache)

      Sets whether to cache dependency information. Defaults to `true`.

    - #### public void setWarnOnRmiStubs(boolean warnOnRmiStubs)

      Sets whether to warn on RMI stubs without source. Defaults to `true`.